PulseEffects EQ/other audio options simply fail to work

Hi,

I am trying to EQ my headphones. I tried installing PulseEffects. I did this once from the ‘Software’ store built into Fedora, and a second time using this tutorial:

In the tutorial, the final step

$ flatpak run com.github.wwmm.pulseeffects

failed. Yes, I did remove the dollar sign at the beginning. I can not sure whether this last command is making the difference between a functioning EQ app and a non-functioning one.

Using both methods, the application installs fine. Just the graphic EQ does not change frequencies at all. The only option that would change audio in PulseEffects at all was volume.

I have asked a similar question on this forum recently, but nobody had any answers.

Thank you for any help!

How did it fail? What error did it give?

Why via flatpak? Pulseeffects is just part of the Fedora repositories and can be installed via “dnf”. And it worked mostly. Only if you are using Fedora 35, pulseeffects is replaced by “easyeffects”.
At the moment, there is transition from pulseaudio to pipewire, so bypassing the standard “dnf” packaging by flatpak may have resulted in incompatibilities.
It is good to prevent library incompatibilities by flatpak, but in this case you have to plug into an audio server in development…

1 Like

I tried Flatpak versions of PulseEffects and EasyEffects on Fedora 35. Both working fine for me. Also If I remember right, PipeWire also handles previous PulseAudio things without issues. So it shouldn’t be affecting it. I mean it works for me as flatpak version.

Since flatpak is already in Fedora 35, All I did was

flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Installation through store was stopping midway for some reason according to GUI but it was installed when I checked with.

flatpak list

and Is in the App Menu/Grid.

Basically the same of what you did in Terminal.

I tried launching with

flatpak run com.github.wwmm.pulseeffects

And it’s working too. Can you see if it’s installed by

flatpak list

Maybe in Fedora 35 in official repository replaced by easyeffetcts, When I try to install pulseeffects in my Fedora 35 this happen:

[afiadi@fedora ~]$ sudo dnf install pulseeffects
Last metadata expiration check: 0:00:49 ago on Min 07 Nov 2021 02:22:03 .
Paket easyeffects-6.1.2-2.fc35.x86_64 telah terpasang.
Dependensi terselesaikan.
Tidak ada yang dilakukan.
Selesai!

in SS abovce dnf said easyeffects is Audio effects for PipeWire applications and pulseeffects is Audio equalizer, filters and effects for Pulseaudio applications

you can add equalizer form easyeffects in plugin menu, see my SS below:

If you want adjust latency you can use qjackctl because in easyeffects doesn’t have for adjust latency. in qjackctl you can klik setup then set interface, sample rate, Frame buffer. etc. look at my SS below:

Hello,

Thanks for all the replies. I wasn’t expecting any replies at all! I’m quite busy this week so I will have to find some time later to try your suggestions.

Thank you again.

1 Like

The problem seems to have fixed itself, most likely with the upgrade to Fedora 35. But this information helped, @yptk.jember1. Thank you all for your contributions.

2 Likes

Oke siap. You’re Welcome.